org.apache.tinkerpop.gremlin.spark.jsr223

## Class SparkGremlinPlugin

- java.lang.Object
- - org.apache.tinkerpop.gremlin.jsr223.AbstractGremlinPlugin
  - - org.apache.tinkerpop.gremlin.spark.jsr223.SparkGremlinPlugin

- All Implemented Interfaces:
    GremlinPlugin

      public final class SparkGremlinPlugin
      extends AbstractGremlinPlugin

  Author:
    Marko A. Rodriguez (http://markorodriguez.com), Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `NAME`

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.jsr223.AbstractGremlinPlugin

      `appliesTo, customizers, moduleName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SparkGremlinPlugin()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SparkGremlinPlugin` | `instance()`
    `boolean` | `requireRestart()` Some modules may require a restart of the plugin host for the classloader to pick up the features.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.jsr223.AbstractGremlinPlugin

      `getCustomizers, getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.jsr223.GremlinPlugin

      `getCustomizers`

- - ### Field Detail

    - #### NAME

          protected static String NAME

  - ### Constructor Detail

    - #### SparkGremlinPlugin

          public SparkGremlinPlugin()

  - ### Method Detail

    - #### instance

          public static SparkGremlinPlugin instance()

    - #### requireRestart

          public boolean requireRestart()

      Description copied from interface: `GremlinPlugin`
      Some modules may require a restart of the plugin host for the classloader to pick up the features. This is typically true of modules that rely on `Class.forName()` to dynamically instantiate classes from the root classloader (e.g. JDBC drivers that instantiate via @{code DriverManager}).

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.